%% Plots modeled modes in current plot
%%
%% Returns:
%%	h = cell array of handles for all lines and texts
%% ============================================================

function h = plot_model_modes1()

global procdata modes

	h = {};

  	nmodes = min([size(modes.freq,1), procdata.plot_modes_num]);

  	for m = 1:nmodes

		y = real(modes.vphase(m,:));
		x = modes.freq(m,:);

		% truncate frequency range if needed

		if ~isempty(procdata.plot_freq_range)
			ind = find(x <= procdata.plot_freq_range(2));

			x = x(ind);
			y = y(ind);

			%	xlim(procdata.plot_freq_range);
		end

		xyp = plot_coords([ reshape(x,[],1),reshape(y,[],1).^(-1)]);

		if ~isempty(xyp)
			h{length(h)+1} = line(xyp(:,1),xyp(:,2),'LineStyle','-','Color','b');

			% mark mode number

			if size(xyp,1)
				h{length(h)+1} = text(xyp(1,1),xyp(1,2),[ 'mode ' num2str(m) ]);
			end
		end

  	end		% m = 1:nmodes
end

