%% Plots all versions of the available standard models in current plot
%% Parameters:
%%	sm - handle of the standard model function

function plot_standard_model(sm)

global procdata model 

  if isempty(sm) || ~strcmpi(procdata.plot_modes,'zvs')		% cannot plot
	return
  end

  z0 = 0.0;	% starting depth

  % starting from z, obtain standard models and plot as far as they extend to depth

  while z0 < model.z(end)

  	[ ~, lst, ind ] = sm(z0);

	if ~isempty(ind)
		zmax = model.z(ind(end));

		z = linspace(model.z(ind(1))-model.dz(ind(1)),zmax,20);	% points to plot the curves at

		for i=1:size(lst,1)

			switch mod(i,3)
				case 1
					lstyle = ':';
				case 2
					lstyle = '-.';
				case 0
					lstyle = '--';
			end

%p = [ i, lst{i,2} ]	% test printout

			line(polyval(lst{i,2},z),z,'LineStyle',lstyle,'Color','m');
		end

		if ind(end) == length(model.z)		% got to the bottom of model
			break
		end

		z0 = zmax + 0.1*model.dz(ind(end)+1);	% next layer
	else
		break

	end	% if ind

  end		% while

end

