%% Modify velocities in current 'model' so that Vp and Vs are scaled by the same factor
%% so that Vs becomes a linear combination of the available predefined profiles.
%% The combination is found by using the least-squares inverse
%%
%% Parameters:
%%	ind - column of indices of layers for which fitting is performed
%%	L - matrix with columns containing Vs profiles for the available profiles
%%		The number of rows in 'L' should equal length(ind) 

function scale_fit_Vs_profile(ind,L)

global procdata model

%ind
%L
	r = rank(L);

	% if rank is less than the number of available models,
	% reduce the size of the matrix 

	if r < size(L,2)
		L(:,(r+1):end) = [];
	end

	% least-squares inverse:

	Lt = transpose(L);

	m = inv(Lt*L)*Lt*model.vs(ind);

	% vs profile predicted by the inverse:

	v0 = L*m;

	% scale range 'ind' in current model to this profile:

	par = ones(size(model.vs,1),1);

	par(ind,1) = v0./model.vs(ind,1);		% scalers for Vs and Vp

  	scale_model(par,true);	
end

